io.milvus.param.role

## Class RevokeRolePrivilegeParam.Builder

- java.lang.Object
- - io.milvus.param.role.RevokeRolePrivilegeParam.Builder

Enclosing class:
  RevokeRolePrivilegeParam

    public static final class RevokeRolePrivilegeParam.Builder
    extends java.lang.Object

Builder for `RevokeRolePrivilegeParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`RevokeRolePrivilegeParam` `build()` Verifies parameters and creates a new `RevokeRolePrivilegeParam` instance.
`RevokeRolePrivilegeParam.Builder` `withObject(@NonNull java.lang.String object)` Sets the object.
`RevokeRolePrivilegeParam.Builder` `withObjectName(@NonNull java.lang.String objectName)` Sets the objectName.
`RevokeRolePrivilegeParam.Builder` `withPrivilege(@NonNull java.lang.String privilege)` Sets the privilege.
`RevokeRolePrivilegeParam.Builder` `withRoleName(@NonNull java.lang.String roleName)` Sets the roleName.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withRoleName

    public RevokeRolePrivilegeParam.Builder withRoleName(@NonNull
                                                         @NonNull java.lang.String roleName)

Sets the roleName. RoleName cannot be empty or null.

Parameters:
  `roleName` - roleName
Returns:
  `Builder`

#### withObject

    public RevokeRolePrivilegeParam.Builder withObject(@NonNull
                                                       @NonNull java.lang.String object)

Sets the object. object cannot be empty or null.

Parameters:
  `object` - object
Returns:
  `Builder`

#### withObjectName

    public RevokeRolePrivilegeParam.Builder withObjectName(@NonNull
                                                           @NonNull java.lang.String objectName)

Sets the objectName. objectName cannot be empty or null.

Parameters:
  `objectName` - objectName
Returns:
  `Builder`

#### withPrivilege

    public RevokeRolePrivilegeParam.Builder withPrivilege(@NonNull
                                                          @NonNull java.lang.String privilege)

Sets the privilege. privilege cannot be empty or null.

Parameters:
  `privilege` - privilege
Returns:
  `Builder`

#### build

    public RevokeRolePrivilegeParam build()
                                   throws ParamException

Verifies parameters and creates a new `RevokeRolePrivilegeParam` instance.

Returns:
  `RevokeRolePrivilegeParam`
Throws:
  `ParamException`